html
    head
        title Console SSH Monitording
        link(rel='stylesheet', href='/xterm/dist/xterm.css')
        script(src='/xterm/dist/xterm.js')
        script(src='/xterm/dist/addons/fit/fit.js')
        script(src='https://code.jquery.com/jquery-1.12.4.min.js')
        script(src='https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.7.3/socket.io.js')
        script.
            var socket;
            window.addEventListener(
                "load",
                function() {
                    var terminalContainer = document.getElementById("terminal-container");
                    var term = new Terminal({ cursorBlink: true });
                    term.open(terminalContainer);
                    term.fit();
                    socket = io.connect("https://dashboard.axelfloquet.fr", { query: 'server=#{server.hostname}&console=true' } );
                    socket.on("connect", function() {
                        term.write("\\r\n*** Connected to backend***\r\n");
                        // Browser -> Backend
                        term.on("data", function(data) {
                            //console.log(data);
                            //                        alert("Not allowd to write. Please don't remove this alert without permission of Ankit or Samir sir. It will be a problem for server'");
                            socket.emit("data", data);
                        });
                        // Backend -> Browser
                        socket.on("data", function(data) {
                            term.write(data);
                        });
                        socket.on("disconnect", function() {
                            term.write("\\r\n*** Disconnected from backend***\r\n");
                        });
                    });
                },
                false
            );
        style.
            body {
                font-family: helvetica, sans-serif, arial;
                font-size: 1em;
                color: #111;
                padding: 0;
                margin: 0;
                overflow: hidden;
            }
            ::-webkit-scrollbar { 
                display: none; 
            }
            h1 {
                text-align: center;
            }
            #terminal-container {
                width: 100%;
                height: 100vh;
                display: inline-block;
            }
            .function {
                display: inline-block;
                float: right;
            }
            #terminal-container .terminal {
                background-color: #111;
                color: #fafafa;
            }
            #terminal-container .terminal:focus .terminal-cursor {
                background-color: #fafafa;
            }
    body
        #terminal-container
